### AUTOUPDATE-OFF: 0
Name:          bash-completion
Version:       2.15.0
Release:       1mamba
Epoch:         1
Summary:       Programmable completion for bash
Group:         Applications/Shells
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/scop/bash-completion
Source:        https://github.com/scop/bash-completion.git/%{version}/bash-completion-%{version}.tar.bz2
Patch0:        %{name}-1.2-rpm-630328.patch
Patch1:        bash-completion-2.1-bash-4.3.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      bash

%description
bash-completion is a collection of shell functions that take advantage of the programmable completion feature of bash 2.04 and later.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains files needed for development.

%prep
%setup -q
autoreconf -f -i

%build
%configure
%make
# bash_completion.sh

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
install -d %{buildroot}%{_sysconfdir}/profile.d
install -m644 bash_completion.sh %{buildroot}%{_sysconfdir}/profile.d/
#install -m644 bash_completion %{buildroot}%{_sysconfdir}/

# provided in udev since 198
rm -f %{buildroot}%{_datadir}/bash-completion/completions/udevadm

# provided in NetworkManager
rm -f %{buildroot}%{_datadir}/bash-completion/completions/nmcli

# provided in util-linux
rm -f %{buildroot}%{_datadir}/bash-completion/completions/\
{cal,chsh,dmesg,eject,rfkill,hexdump,ionice,hwclock,ionice,look,mount,renice,rtcwake,su,umount}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/profile.d/bash_completion.sh
%dir %{_sysconfdir}/bash_completion.d
%{_sysconfdir}/bash_completion.d/000_bash_completion_compat.bash
%dir %{_datadir}/bash-completion
%{_datadir}/bash-completion/bash_completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/*
%dir %{_datadir}/bash-completion/helpers
%{_datadir}/bash-completion/helpers/*
%doc AUTHORS COPYING
#%doc CHANGES README

%files devel
%defattr(-,root,root)
%dir %{_datadir}/cmake/bash-completion
%{_datadir}/cmake/bash-completion/bash-completion-config*.cmake
%{_datadir}/pkgconfig/bash-completion.pc

%changelog
* Mon Nov 25 2024 Automatic Build System <autodist@openmamba.org> 2.15.0-1mamba
- automatic version update by autodist

* Thu May 09 2024 Automatic Build System <autodist@openmamba.org> 2.14.0-1mamba
- automatic version update by autodist

* Sat Apr 06 2024 Automatic Build System <autodist@openmamba.org> 2.13.0-1mamba
- automatic version update by autodist

* Thu Feb 22 2024 Automatic Build System <autodist@openmamba.org> 2.12.0-1mamba
- automatic version update by autodist

* Tue Feb 23 2021 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.11-2mamba
- Fixed homepage URL

* Thu Aug 13 2020 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic version update by autodist

* Thu Dec 12 2019 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic version update by autodist

* Fri May 10 2019 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Thu Nov 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7-2mamba
- remove rfkill provided by util-linux

* Fri Jul 21 2017 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Tue Feb 07 2017 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Wed Sep 07 2016 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Sun May 22 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-2mamba
- remove mount and umout provided in util-linux >= 2.28

* Sat Apr 30 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-1mamba
- update to 2.3

* Wed Sep 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-6mamba
- previous patch had not been applied

* Sat Aug 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-5mamba
- fix patch for bash 4.3
- remove conclicting files for chsh provided by latest util-linux

* Mon May 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-4mamba
- patch against bash 4.3 (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=741479)

* Mon Apr 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-3mamba
- remove completion files conflicting with util-linux since 2.23

* Mon Apr 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-2mamba
- remove nmcli completion already provided by NetworkManager

* Sun Apr 14 2013 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- update to 2.1

* Sun Mar 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-2mamba
- remove udevadm completion file provided by udev >= 198

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- update to 2.0

* Thu May 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-1mamba
- update to 1.99

* Thu Aug 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- update to 1.3

* Wed Feb 02 2011 Davide Madrisan <davide.madrisan@gmail.com> 1.2-1mamba
- update url
- remove files not applicable to openmamba
- add upstream patch for rpm

* Tue Feb 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 20060301-3mamba
- remove unuseful %dir to fix a self installation loop

* Fri Sep 26 2008 Silvan Calarco <silvan .calarco@mambasoft.it> 20060301-2mamba
- fix installation of /etc/bash_completion
- add bash_completion.sh in /etc/profile.d
- install contrib file in /etc/bash_completion.d

* Tue Sep 23 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 20060301-1mamba
- package created by autospec
